// ----- Change log -----
// 02/27/05 - Created
// ----------------------

#ifndef BLOCK_H
#define BLOCK_H

#include "Main.h"



// ----- Constants -----

typedef enum _BLOCK_ANIM
{
	BLOCK_ANIM_FULL,
	BLOCK_ANIM_EMPTY,

	BLOCK_ANIM_NUM,
	BLOCK_ANIM_MAX = BLOCK_ANIM_NUM - 1,

} BLOCK_ANIM;

typedef enum _BLOCK_MODE
{
	BLOCK_MODE_IDLE,

	BLOCK_MODE_NUM,
	BLOCK_MODE_MAX = BLOCK_MODE_NUM - 1,

} BLOCK_MODE;

typedef enum _BLOCK_IDLE_STATE
{
	BLOCK_IDLE_STATE_FULL,
	BLOCK_IDLE_STATE_EMPTY,

	BLOCK_IDLE_STATE_NUM,
	BLOCK_IDLE_STATE_MAX = BLOCK_IDLE_STATE_NUM - 1,

} BLOCK_IDLE_STATE;



// ----- Structures -----

typedef struct _SptVarsBlock
{
	u8 mode;
	u8 state;
	u8 timer;

} SptVarsBlock;



// ----- Global functions -----

extern void SptInitBlock (struct _Sprite *spt, struct _Map *map);
extern void SptUpdateBlock (struct _Sprite *spt, struct _Map *map);
extern void SptColBlock (struct _Sprite *spt, struct _Sprite *obs, u32 dir, struct _Map *map);

#endif	// BLOCK_H