// ----- Change log -----
// 02/26/05 - Created
// ----------------------

#ifndef FONT_H
#define FONT_H

#include "Main.h"
#include "Image.h"



// ----- Macros -----

#define FONT_COLORS(face,shadow,bg)	((face) | ((shadow)<<8) | ((bg) << 16))



// ----- Global functions -----

extern void FontPrint8 (Image *screen, s32 x, s32 y, const char *text, u32 colors);
extern void FontPrint16 (Image *screen, s32 x, s32 y, const char *text, u32 colors);

#endif	// FONT_H
