#ifndef MAIN_H
#define MAIN_H

// ----- Change log -----
// 02-26-05	Created



// ----- Headers -----

	// Silly Allegro header trying to define TRUE as -1...
#define TRUE			1
#define FALSE			0

#include "Allegro.h"
#include <math.h>
#include <stdlib.h>
#include <string.h>



// ----- Constants -----

#define BIT00			(1<<0)
#define BIT01			(1<<1)
#define BIT02			(1<<2)
#define BIT03			(1<<3)
#define BIT04			(1<<4)
#define BIT05			(1<<5)
#define BIT06			(1<<6)
#define BIT07			(1<<7)
#define BIT08			(1<<8)
#define BIT09			(1<<9)
#define BIT10			(1<<10)
#define BIT11			(1<<11)
#define BIT12			(1<<12)
#define BIT13			(1<<13)
#define BIT14			(1<<14)
#define BIT15			(1<<15)
#define BIT16			(1<<16)
#define BIT17			(1<<17)
#define BIT18			(1<<18)
#define BIT19			(1<<19)
#define BIT20			(1<<20)
#define BIT21			(1<<21)
#define BIT22			(1<<22)
#define BIT23			(1<<23)
#define BIT24			(1<<24)
#define BIT25			(1<<25)
#define BIT26			(1<<26)
#define BIT27			(1<<27)
#define BIT28			(1<<28)
#define BIT29			(1<<29)
#define BIT30			(1<<30)
#define BIT31			(1<<31)



// ----- Macros -----

#define memClear(dest, size)		memset((void*)(dest), 0, (size))

/*#define ASSERT(cond)		if (!(cond)) { \
	fprintf (stderr, "ASSERT FAILED\n File: %s\n Line: %i\n", __FILE__, __LINE__); \
	gQuitGame = TRUE; \
	}*/

#define ASSERT_ALWAYS()				ASSERT(0)
#define ERROR_TEXT(str)				// Add this later...



// ----- Structures -----

typedef unsigned char	u8;
typedef unsigned short	u16;
typedef unsigned long	u32;

typedef signed char		s8;
typedef signed short	s16;
typedef signed long		s32;

typedef u8 BOOL;

typedef struct _Rect
{
	s32 left, top, right, bottom;

} Rect;

typedef struct _s8Rect
{
	s8 x, y;
	u8 w, h;

} s8Rect;



// ----- Global variables -----

extern u32 xSize, ySize;
extern u32 thisTick, lastTick;
extern BOOL bActive, gQuitGame;

#endif	// MAIN_H