#ifndef TEXTBOX_H
#define TEXTBOX_H

#include "Main.h"



// ----- Constants -----

#define TEXTBOX_BORDER_SIZE		16



// ----- Structures -----

typedef struct _TextBox
{
	char text[256];
	s32 x, y, w, h;
	u32 fontColors;

} TextBox;



// ----- Global functions -----

void TextBoxCreate (TextBox *textBox, const char *text, s32 x, s32 y, s32 w, s32 h, u32 fontColors);
void TextBoxDraw (TextBox *textBox, Image *screen);

#endif	// TEXTBOX_H
